Get an account

​

Requires accounts:read. Use an accountId returned by List accounts. Returns a flat deposit or charge-account object. Unknown, closed, unavailable, or other-company account identifiers return 404.

Path Parameters

  • Account identifier returned by List accounts.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/accounts/{accountId}
curl https://api.dev.trusspayments.com/fdx/v6/accounts/1dd3a4b0-4837-4e24-b83d-4f3a834d9320 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
Optional pay-in-full charge account
{
  "accountCategory": "LOC_ACCOUNT",
  "accountId": "c40a7a4b-6f2d-4a58-bbb5-6e8d4984f819",
  "accountType": "CHARGE",
  "balanceType": "LIABILITY",
  "currency": {
    "currencyCode": "USD"
  },
  "currentBalance": 125,
  "customerId": "0de22cf5-a1ed-44db-85f4-4dd526a43085",
  "nextPaymentAmount": 125,
  "nickname": "Truss Card",
  "productName": "Truss Business Card",
  "purchasesApr": 0,
  "status": "OPEN"
}